﻿/*  font-family: 'Source Sans Pro', sans-serif;  */

* {
    box-sizing: border-box;
}

body {
    margin: 0;
    font-family: 'Garamond', sans-serif;
    font-size: 1rem;
    color: #404040;
    text-align: center;
}


/* =================
   Typography 
   ================= */

h1 {
    font-size: 2.25rem;
    font-weight: 300;
    color: #fff;
    margin: 0;
}

    h1 + p {
        color: #FFF;
        font-weight: 900;
        font-size: 1.3125rem;
        text-transform: uppercase;
        margin: 0;
    }

h2 {
    font-size: 1.3125rem;
    margin-bottom: 1em;
    text-transform: uppercase;
}

h2 + p {
    font-weight: 900;
    color: #000;
    margin-top: 0;

}

.top-text {
    font-size: 0.625rem;
    color: #FFF;
    font-weight: 900;
    text-transform: uppercase;
    letter-spacing: 2px;
    order: -1;
    margin: 0;
    padding-top: 2px;
    border-top: 5px solid #FFF;
    border-image: linear-gradient(to left, #FFF, #000) 1;
}

strong {
    font-weight: 900;
}


/* =================
   Intro section 
   ================= */

.intro {
    /*background-image: url(images/dark-ribs.jpg);*/
    background-image: url('../Images/main-image.jpg');    
    background-size: cover;
    background-color: #404040;
    background-blend-mode: multiply;
    background-position: center;
    padding: 0 .5em 2em;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    min-height: 50vh;
}


/* =================
   main-content section 
   ================= */

.main-content {
    padding: 2em 1em;
}

.intro > *,
.main-content > * {
    max-width: 600px;
    margin-left: auto;
    margin-right: auto;
}

.main-content p {
    text-align: left;
}

.main-content img {
    margin-bottom: 3em;
}

footer {
    background: #000000;
    color: rgba(255, 255, 255, 0.75);
    /* a = alpha */
    /* alpha = opacity / transparency */
    text-align: center;
    padding: 1em;
}

/* =================
   media queries 
   ================= */

@media (min-width: 550px) {
    body {
        font-size: 1.125rem;
        display: flex;
    }

    h1 {
        font-size: 3.5rem;
    }

        h2,
        h1 + p {
            font-size: 1.75rem;
        }

    .intro,
    /*.main-content*/
    .container
     {
        display: flex;
        width: 50%;
        min-height: 100vh;
    }

    .container {
        /*display: flex;
        width: 50%;*/
        min-height: 100vh;
        flex-direction: column;
    }

    .main-content {
        width: 100%;
        flex-direction: column;
    }

    footer {
        width: 100%;
        margin-top: auto;
    }
}
